<?php
include('./clases.php');

// get the HTTP method, path and body of the request
$method = $_SERVER['REQUEST_METHOD'];
$request = explode('/', trim($_SERVER['PATH_INFO'],'/'));
$input = json_decode(file_get_contents('php://input'),true);

$datos_emisor = new DatosEmisor();
$documento_fel = new DocumentoFel();

// setting "emisor" data
$datos_emisor->setAfiliacionIVA($input['emisor']['afiliacion']);
$datos_emisor->setCodigoEstablecimiento($input['emisor']['cod_establecimiento']);
$datos_emisor->setCodigoPostal($input['emisor']['cod_postal']);
$datos_emisor->setCorreoEmisor($input['emisor']['correo']);
$datos_emisor->setDepartamento($input['emisor']['departamento']);
$datos_emisor->setMunicipio($input['emisor']['municipio']);
$datos_emisor->setDireccion($input['emisor']['direccion']);
$datos_emisor->setNITEmisor($input['emisor']['nit']);
$datos_emisor->setNombreComercial($input['emisor']['nombre_com']);
$datos_emisor->setNombreEmisor($input['emisor']['nobre_em']);
$datos_emisor->setPais($input['emisor']['pais']);
 
// Setting datos_emisor into documento_fel
$documento_fel->setDatosEmisor($datos_emisor);

// datos generales
$datos_generales = new DatosGenerales();

$datos_generales->setCodigoMoneda($input['general']['moneda']);
$date = date('Y-m-d\TH:i:s');
$datos_generales->setFechaHoraEmision($date);
$datos_generales->setTipo($input['general']['tipo']);

// setting datos generales into documento_fel
$documento_fel->setDatosGenerales($datos_generales);

// datos receptos
$datos_receptor = new DatosReceptor();
$datos_receptor->setCodigoPostal($input['receptor']['cod_postal']);
$datos_receptor->setCorreoReceptor($input['receptor']['correo']);
$datos_receptor->setDepartamento($input['receptor']['departamento']);
$datos_receptor->setDireccion($input['receptor']['direccion']);
$datos_receptor->setIDReceptor($input['receptor']['id_receptor']);
$datos_receptor->setMunicipio($input['receptor']['municipio']);
$datos_receptor->setNombreReceptor($input['receptor']['nombre']);
$datos_receptor->setPais($input['receptor']['pais']);

// setting datos receptos into documento_fel 
$documento_fel->setDatosReceptor($datos_receptor);

// 


print_r($documento_fel);